#ifndef _EXCEPTIONS_H_
#define _EXCEPTIONS_H_ 1

class invalid_rva_error : public std::runtime_error
{
public:
	invalid_rva_error(std::string s) : std::runtime_error(s) {}
	invalid_rva_error(const std::string & s) : std::runtime_error(s) {}
	invalid_rva_error(const char * s) : std::runtime_error(s) {}
};

class fatal_error : public std::runtime_error
{
public:
	fatal_error(std::string s) : std::runtime_error(s) {}
	fatal_error(const std::string & s) : std::runtime_error(s) {}
	fatal_error(const char * s) : std::runtime_error(s) {}
};

#endif